#!/bin/sh

#History:
#    - TT 2018: adapted for GRASS 7 compliance
#    - MN 2005: fixed r.random parameter for GRASS 6 compliance

#TODO export GRASS_OVERWRITE=true
g.message "Prepare for simulation:"

g.message "Calculate the ROS (rate of spread), etc.:"
r.ros --overwrite model=fuel_model moisture_1h=1hour_moisture moisture_live=live_moisture velocity=wind_speed direction=wind_direction slope=slope aspect=aspect elevation=elevation  base_ros=my_baseros max_ros=my_maxros direction_ros=my_dirros

g.message "Spread:"
r.spread --overwrite max=my_maxros base=my_baseros dir=my_ros spot_dist=my_ros.spotdist w_speed=wind_speed f_mois=1hour_moisture start=fire_origin lag=95 backdrop=image_burned output=my_spread  x_output=my_spread.x y_output=my_spread.y
g.message "Spread done."

g.message "Find some fire paths:"
r.random input=my_spread npoints=10 raster=my_path
r.spreadpath --overwrite x_input=my_spread.x y_input=my_spread.y output=my_path

# see results
d.mon wx0
sleep 2
d.rast image_burned

d.mon wx1
sleep 2
d.rast my_path


